# Generated by Django 3.0.2 on 2020-01-20 21:52

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Brand',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Monthly',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('begin_day', models.DateField()),
                ('price_month', models.DecimalField(decimal_places=2, max_digits=6)),
            ],
        ),
        migrations.CreateModel(
            name='Parameters',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('price_hour', models.DecimalField(decimal_places=2, max_digits=5)),
                ('price_month', models.DecimalField(decimal_places=2, max_digits=6)),
            ],
        ),
        migrations.CreateModel(
            name='Person',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('adress', models.CharField(max_length=200)),
                ('phone', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Vehicle',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('plate', models.CharField(max_length=7)),
                ('color', models.CharField(max_length=15)),
                ('observations', models.TextField()),
                ('brand', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.Brand')),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.Person')),
            ],
        ),
        migrations.CreateModel(
            name='MovMonthly',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('dt_payment', models.DateField(null=True)),
                ('total', models.DecimalField(decimal_places=2, max_digits=6)),
                ('monthly', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.Monthly')),
            ],
        ),
        migrations.CreateModel(
            name='MovDaily',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('check_in', models.DateTimeField()),
                ('check_out', models.DateTimeField(blank=True, null=True)),
                ('price_hour', models.DecimalField(decimal_places=2, max_digits=5)),
                ('payment_status', models.BooleanField(default=False)),
                ('vehicle', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.Vehicle')),
            ],
        ),
        migrations.AddField(
            model_name='monthly',
            name='vehicle',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.Vehicle'),
        ),
    ]
